## read-edid 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (read-edid)

option(I2CBUILD "Build I2C get-edid implementation" ON)
option(CLASSICBUILD "Build VBE get-edid implementation" ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
	"${CMAKE_SOURCE_DIR}/cmake/Modules")

if (I2CBUILD OR CLASSICBUILD)
	add_subdirectory (get-edid)
endif ()
add_subdirectory (parse-edid)

INSTALL(FILES get-edid.1 DESTINATION share/man/man1)
INSTALL(FILES AUTHORS ChangeLog COPYING README DESTINATION
	share/doc/read-edid)

=== parse-edid/CMakeLists.txt ===
add_executable (parse-edid parse-edid.c)
install (TARGETS parse-edid DESTINATION bin)

## read-edid 1.4.1-2.1ubuntu1~usg1

=== debian/changelog ===
read-edid (1.4.1-2.1ubuntu1~usg1) hardy; urgency=low

  * debian/control:
    - Add lpia architecture

 -- Steve Magoun <steve.magoun@canonical.com>  Thu, 17 Jul 2008 14:13:51 -0400

read-edid (1.4.1-2.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * Merged PowerPC patch from Colin Watson (Closes: #262102):
    - get-edid-powerpc: new shell implementation using /proc/device-tree.
    - debian/copyright: document licence of get-edid-powerpc.
    - debian/control: add powerpc to Architecture.
    - debian/rules: install get-edid-powerpc as get-edid on powerpc.
  * debian/control: 
    - Add missing Build-Depends on texinfo.
    - Update long description to reflect PowerMac support.
    - Bump Standards to 3.6.2 (changes to debian/copyright required).
  * debian/copyright:
    - Rewrite content to Policy 3.5.8 Section 12.7 compliance.

 -- Martin-Éric Racine <q-funk@iki.fi>  Sun, 12 Mar 2006 15:12:35 +0200

read-edid (1.4.1-2) unstable; urgency=low

  * get-edid.man: wrote manpage for get-edid and parse-edid (Closes: #102233)
  * debian/control:
    - changed Section to "utils" (Closes: #145104)
    - increment versioned build-dependency on debhelper to (>= 4.0)
    - increment Standards-Version to 3.5.7
  * debian/copyright:
    - note change to upstream source (manpage)
  * debian/rules:
    - use DH_COMPAT and set debhelper compatibility level to 4
    - set CFLAGS to include -g per Debian Policy 11.1
    - set CFLAGS to inclue -O2 unless DEB_BUILD_OPTIONS includes "noopt", per
      Debian Policy 11.1
    - tweak install rule for debhelper 4 differences, and install new manpage

 -- Branden Robinson <branden@debian.org>  Thu,  3 Oct 2002 00:35:32 -0500

read-edid (1.4.1-1) unstable; urgency=low

  * new upstream version
  * debian/copyright:
    - updated URL of upstream source
    - updated Debian copyright info
    - remove obsolete notice of Debian changes to upstream code
  * debian/control:
    - declare build-dependency on debhelper (>> 2.0)
    - explained why package is i386-only in extended description
    - fixed typo in description (Closes: #125304)
  * debian/rules:
    - updated to call upstream configure program, since upstream
      now uses automake/autoconf
    - updated to call new distclean rule instead of clean

 -- Branden Robinson <branden@debian.org>  Tue, 18 Dec 2001 21:04:49 -0500

read-edid (1.4.0-2) unstable; urgency=low

  * Unfortunately, this is an i386-only package.  Edited control file to
    reflect this. (Closes: #78751)

 -- Branden Robinson <branden@debian.org>  Mon,  4 Dec 2000 14:27:00 -0500

read-edid (1.4.0-1) unstable; urgency=low

  * initial release

 -- Branden Robinson <branden@debian.org>  Tue, 28 Nov 2000 01:33:26 -0500

=== debian/control ===
Source: read-edid
Section: utils
Priority: optional
Maintainer: Branden Robinson <branden@debian.org>
Build-Depends: debhelper (>= 4.0), texinfo
Standards-Version: 3.6.2

Package: read-edid
Architecture: i386 powerpc lpia
Depends: ${shlibs:Depends}
Description: hardware information-gathering tool for VESA PnP monitors
 read-edid consists of two tools:
 .
 get-edid uses a VESA VBE 2 interrupt service routine request to read a 
 128 byte EDID version 1 structure from your graphics card, which retrieves 
 this information from the monitor via the Data Display Channel (DDC).  
 .
 parse-edid parses this data structure and outputs data suitable for 
 inclusion into the XFree86 or X.org configuration file.
 .
 get-edid uses architecture-specific methods for querying the video hardware 
 (real-mode x86 instructions on i386, Open Firmware device tree parsing on 
 PowerMac) and is therefore only available for i386 and powerpc architectures.

=== debian/rules ===
#!/usr/bin/make -f
# Debian package build rules file for read-edid
# Copyright (C) 2000 Progeny Linux Systems, Inc.
# Author: Branden Robinson <branden@progeny.com>
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

CFLAGS=-g -Wall
# Does DEB_BUILD_OPTIONS contain the "noopt" flag?
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
# don't get rid of the space in the next line
CFLAGS+= -O2
endif

export CFLAGS

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

build: configure build-stamp
build-stamp:
	dh_testdir
ifeq ($(DEB_HOST_ARCH),powerpc)
	$(MAKE) parse-edid
	cp -a get-edid-powerpc get-edid
else
	$(MAKE)
endif
	touch $@

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure
	touch $@

clean: configure
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) distclean
	dh_clean

install: build configure
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 755 -d debian/read-edid/usr/bin
	install -m 755 get-edid debian/read-edid/usr/bin
	install -m 755 parse-edid debian/read-edid/usr/bin
	install -m 755 -d debian/read-edid/usr/share/man/man1
	install -m 644 get-edid.man debian/read-edid/usr/share/man/man1/get-edid.1
	ln -s get-edid.1 debian/read-edid/usr/share/man/man1/parse-edid.1

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean install binary-arch binary

## read-edid 3.0.1

=== debian/changelog ===
read-edid (3.0.1-2) unstable; urgency=medium

  * Setting -DCLASSICBUILD or -DI2CBUILD depending on architecture
  * Set Vcs-Git and Vcs-Browser in control
  * Dropped requirement for autotools-dev

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Fri, 14 Feb 2014 09:19:39 +0100

read-edid (3.0.1-1) unstable; urgency=medium

  * Migrated to dh
  * Bump standard to 3.9.5
  * Migrated to 3.0 quilt format
  * New maintainer (closes: #733145)
  * New upstream version
  * Quilt patch system
    - remove additional licence file from CMakeLists
  * debian/copyright
    - migrated to DEP5 format

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Sun, 02 Feb 2014 14:15:31 +0100

read-edid (2.0.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: build-depend on automake1.10, since aclocal-1.10 is
    assumed (Closes: #543047)

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 13 Oct 2009 14:03:14 +0200

read-edid (2.0.0-3) unstable; urgency=low

  * debian/rules: get-edid.c uses linux-specific ioperm(). It should not
    be built on freebsd and hurd systems.

 -- LIU Qi <liuqi82@gmail.com>  Wed, 22 Jul 2009 14:14:51 +0800

read-edid (2.0.0-2) unstable; urgency=low

  * add the build targets(amd64, lpia, kfreebsd-amd64, kfreebsd-i386 
    and hurd-i386) for get-edid (Closes: #534742, #502127, #536186)
  * add the vcs information in the debian/control
  * upgrade the standard version to 3.8.2

 -- LIU Qi <liuqi82@gmail.com>  Thu, 09 Jul 2009 18:12:52 +0800

read-edid (2.0.0-1) unstable; urgency=low

  * new upstream version and maintainer (Closes: #502125)
    - the new version uses libx86 instead of LRMI (Closes: #495131)
    - libx86 will build on new kernel (Closes: #502126)
  * add missing binary-indep in debian/rules (Closes: #395741)
  * new version is modified to build on any architecture 
    - fixed the powerpc build problem (Closes: #406736)
    - fixed the rebuild problem (Closes: #433713)
  * install the read-edid in usr/sbin directory (Closes: #231307)

 -- LIU Qi <liuqi82@gmail.com>  Mon, 11 May 2009 13:14:40 +0800

=== debian/control ===
Source: read-edid
Section: utils
Priority: optional
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9.0), libx86-dev [i386 amd64 x32 kfreebsd-amd64 kfreebsd-i386 hurd-i386], cmake (>= 2.6)
Homepage: http://www.polypux.org/projects/read-edid/
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/read-edid.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/read-edid.git


Package: read-edid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: hardware information-gathering tool for VESA PnP monitors
 read-edid consists of two tools:
 .
 get-edid uses a VESA VBE 2 interrupt service routine request to read   
 a 128 byte EDID version 1 structure from your graphics card, which     
 retrieves this information from the monitor via the Data Display       
 Channel (DDC).                                                         
 .
 get-edid uses architecture-specific methods for querying the video
 hardware (real-mode x86 instructions on i386, Open Firmware device
 tree parsing on PowerMac) and is therefore only available for i386 and
 powerpc architectures.
 .
 parse-edid parses this data structure and outputs data suitable for
 inclusion into the XFree86 or X.org configuration file. It is available
 for any architecture.

## read-edid 3.0.2

=== get-edid/CMakeLists.txt ===
if (CLASSICBUILD)
	#add_library(x86 SHARED IMPORTED)
	find_library(X86_LIBRARY x86)
        add_definitions(-DCLASSICBUILD)
endif ()
if (I2CBUILD)
        add_definitions(-DI2CBUILD)
endif ()

add_executable (get-edid get-edid.c classic.c i2c.c)
if (CLASSICBUILD)
	target_link_libraries (get-edid ${X86_LIBRARY})
endif ()
install(TARGETS get-edid DESTINATION bin)

=== debian/changelog ===
read-edid (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * Fix build with CMake 4
    Closes: #1113462
  * d/watch: version=5
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 07:00:55 +0100

read-edid (3.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Samuel Thibault ]
  * d/control: Generalize *-i386 *-amd64 into any-.

  [ Andreas Tille ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rely on pre-initialized dpkg-architecture variables.
  * d/watch: version=4
  * d/copyright: review

  [ наб ]
  * d/p/0002: Fix multiple definitions of int quiet

 -- Andreas Tille <tille@debian.org>  Sun, 27 Jul 2025 06:49:42 +0200

read-edid (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2
  * Bump standards to 3.9.6, no changes needed
  * Changed d/copyright to dep5 format
  * d/gbp.conf added

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Wed, 13 May 2015 12:41:28 +0200

=== debian/control ===
Source: read-edid
Standards-Version: 4.7.2
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libx86-dev [i386 amd64 x32 kfreebsd-amd64 kfreebsd-i386 hurd-i386],
 cmake,
Vcs-Browser: https://salsa.debian.org/debian/read-edid
Vcs-Git: https://salsa.debian.org/debian/read-edid.git
Homepage: http://www.polypux.org/projects/read-edid/

Package: read-edid
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: hardware information-gathering tool for VESA PnP monitors
 read-edid consists of two tools:
 .
 get-edid uses a VESA VBE 2 interrupt service routine request to read
 a 128 byte EDID version 1 structure from your graphics card, which
 retrieves this information from the monitor via the Data Display
 Channel (DDC).
 .
 get-edid uses architecture-specific methods for querying the video
 hardware (real-mode x86 instructions on i386, Open Firmware device
 tree parsing on PowerMac) and is therefore only available for i386 and
 powerpc architectures.
 .
 parse-edid parses this data structure and outputs data suitable for
 inclusion into the XFree86 or X.org configuration file. It is available
 for any architecture.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

CMAKEPOLICY=-DCMAKE_POLICY_VERSION_MINIMUM=3.5

%:
	dh $@

override_dh_auto_configure:
ifeq ($(DEB_HOST_ARCH_OS), $(filter $(DEB_HOST_ARCH_OS), linux))
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), amd64 i386 x32))
	# amd64, i386, x32 and linux
	dh_auto_configure -- -DCLASSICBUILD=YES -DI2CBUILD=YES $(CMAKEPOLICY)
else
	# not amd64, i386, x32 but linux
	dh_auto_configure -- -DCLASSICBUILD=NO -DI2CBUILD=YES $(CMAKEPOLICY)
endif
else #not linux: kfree, hurd ...
ifeq ($(DEB_HOST_ARCH_CPU), $(filter $(DEB_HOST_ARCH_CPU), amd64 i386))
	#kfree-amd64, kfree-i386, hurd-i386, 3
	dh_auto_configure -- -DI2CBUILD=NO -DCLASSICBUILD=YES $(CMAKEPOLICY)
endif
endif

override_dh_compress:
	dh_compress
	dh_link usr/share/man/man1/get-edid.1.gz usr/share/man/man1/parse-edid.1.gz

=== debian/watch ===
Version: 5

Source: http://www.polypux.org/projects/read-edid/
Matching-Pattern: read-edid-(.*)\.tar\.gz
